| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
oyranos_core.c File Reference

public Oyranos API's More...

`#include "oyranos_core.h"`
`#include <sys/stat.h>`
`#include <stdarg.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "oyranos_config_internal.h"`
`#include "oyranos_debug.h"`
`#include "oyranos_helper.h"`
`#include "oyranos_internal.h"`
`#include "oyranos_icc.h"`
`#include "oyranos_io.h"`
`#include "oyranos_sentinel.h"`
`#include "oyranos_string.h"`
`#include "oyranos_texts.h"`
`#include "oyStruct_s.h"`
`#include "oyObject_s_.h"`
`#include "oyName_s_.h"`
`#include "config.log.h"`

## Functions
int | oyStruct_RegisterStaticMessageFunc (int type, oyStruct_RegisterStaticMessageFunc_f f)
| register a function for verbosity More...
const char * | oyStruct_GetInfo (oyPointer context_object, int flags)
| get a additional string from a object More...
const char * | oyStructTypeToText (oyOBJECT_e type)
| Objects type to small string. More...
int | oyMessageFormat (char **message_text, int code, const oyPointer context_object, const char *string)
| default function to form a message string More...
int | oyMessageFunc (int code, const oyPointer context_object, const char *format,...)
| default message function to console More...
int | oyMessageFuncSet (oyMessage_f message_func)
const char * | oyLanguage (void)
| get language code More...
const char * | oyCountry (void)
| get country code More...
const char * | oyLang (void)
| get LANG code/variable More...
void | oyI18Nreset (void)
| reset i18n language and country variables More...
int | oyVersion (int type)
| give the compiled in library version More...
char * | oyVersionString (int type, oyAlloc_f allocateFunc)
| give the configure options for Oyranos More...
icUInt16Number | oyValueUInt16 (icUInt16Number val)
| MSB<->LSB. More...

## Detailed Description

public Oyranos API's

Oyranos is an open source Colour Management System

Copyright:
  2004-2011 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD http://www.opensource.org/licenses/bsd-license.php

Since
  2004/11/25

## Function Documentation

int oyMessageFormat | ( | char ** | message_text,
|  | int | code,
|  | const oyPointer | context_object,
|  | const char * | string
| ) |  |

default function to form a message string

oyMessageFormat This default message function is used as a message formatter. The resulting string can be placed anywhere, e.g. in a GUI.

See also
  the oyMessageFunc() needs just to replaxe the fprintf with your favourite GUI call.

Version
  Oyranos: 0.2.1

Since
  2008/04/03 (Oyranos: 0.2.1)

Date
  2011/01/15

References oyStruct_GetInfo(), and oyStructTypeToText().

Referenced by oyMessageFunc().

int oyMessageFunc | ( | int | code,
|  | const oyPointer | context_object,
|  | const char * | format,
|  |  | ...
| ) |  |

default message function to console

oyMessageFunc The default message function is used as a message printer to the console from library start.

Parameters

  code | a message code understood be your message handler or oyMSG_e
  context_object | a oyStruct_s is expected from Oyranos
  format | the text format string for following args
  ... | the variable args fitting to format

Returns
  0 - success; 1 - error

Version
  Oyranos: 0.3.0

Since
  2008/04/03 (Oyranos: 0.1.8)

Date
  2009/07/20

References oyMessageFormat().

int oyMessageFuncSet | ( | oyMessage_f | message_func | ) |

oyMessageFuncSet

Version
  Oyranos: 0.1.8

Date
  2008/04/03

Since
  2008/04/03 (Oyranos: 0.1.8)

const char* oyStruct_GetInfo | ( | oyPointer | context_object,
|  | int | flags
| ) |  |

get a additional string from a object

oyStruct_GetInfo The content can be provided by object authors by using oyStruct_RegisterStaticMessageFunc() typical at the first time of object creation.

Parameters

  [in] | context_object | the object to get informations about
  [in] | flags | currently not used

Returns
  a string or NULL; The pointer might become invalid after further using the object pointed to by context.

Version
  Oyranos: 0.2.1

Since
  2011/01/15

Date
  2011/01/15

References oyStructTypeToText().

Referenced by oyMessageFormat(), and oyStruct_CheckType().

int oyStruct_RegisterStaticMessageFunc | ( | int | type,
|  | oyStruct_RegisterStaticMessageFunc_f | f
| ) |  |

register a function for verbosity

oyStruct_RegisterStaticMessageFunc

Parameters

  [in] | type | the object oyOBJECT_e type
  [in] | f | the object string function

Returns
  0 - success; >= 1 - error

Version
  Oyranos: 0.2.1

Since
  2011/01/14

Date
  2011/01/14

const char* oyStructTypeToText | ( | oyOBJECT_e | type | ) |

Objects type to small string.

Function oyStructTypeToText Give a basic description of inbuild object types.

Version
  Oyranos: 0.5.0

Since
  2008/06/24 (Oyranos: 0.1.8)

Date
  2012/09/05

References oyOBJECT_ARRAY2D_S, oyOBJECT_BLOB_S, oyOBJECT_CALLBACK_S, oyOBJECT_CMM_API10_S, oyOBJECT_CMM_API1_S, oyOBJECT_CMM_API2_S, oyOBJECT_CMM_API3_S, oyOBJECT_CMM_API4_S, oyOBJECT_CMM_API5_S, oyOBJECT_CMM_API6_S, oyOBJECT_CMM_API7_S, oyOBJECT_CMM_API8_S, oyOBJECT_CMM_API9_S, oyOBJECT_CMM_API_FILTER_S, oyOBJECT_CMM_API_FILTERS_S, oyOBJECT_CMM_API_MAX, oyOBJECT_CMM_API_S, oyOBJECT_CMM_APIS_S, oyOBJECT_CMM_DATA_TYPES_S, oyOBJECT_CMM_HANDLE_S, oyOBJECT_CMM_INFO_S, oyOBJECT_CMM_OBJECT_TYPE_S, oyOBJECT_CMM_UI_S, oyOBJECT_COLOUR_CONVERSION_S, oyOBJECT_COMP_S_, oyOBJECT_CONF_DOMAIN_S, oyOBJECT_CONFIG_S, oyOBJECT_CONFIGS_S, oyOBJECT_CONNECTOR_IMAGING_S, oyOBJECT_CONNECTOR_MAX_S, oyOBJECT_CONNECTOR_S, oyOBJECT_CONVERSION_S, oyOBJECT_EXTERNFUNC_S, oyOBJECT_FILE_LIST_S_, oyOBJECT_FILTER_CORE_S, oyOBJECT_FILTER_CORES_S, oyOBJECT_FILTER_GRAPH_S, oyOBJECT_FILTER_NODE_S, oyOBJECT_FILTER_NODES_S, oyOBJECT_FILTER_PLUG_S, oyOBJECT_FILTER_PLUGS_S, oyOBJECT_FILTER_SOCKET_S, oyOBJECT_FORMS_ARGS_S, oyOBJECT_HASH_S, oyOBJECT_ICON_S, oyOBJECT_IMAGE_S, oyOBJECT_INFO_STATIC_S, oyOBJECT_MODULE_S, oyOBJECT_MONITOR_S, oyOBJECT_NAME_S, oyOBJECT_NAMED_COLOUR_S, oyOBJECT_NAMED_COLOURS_S, oyOBJECT_OBJECT_S, oyOBJECT_OBSERVER_S, oyOBJECT_OPTION_S, oyOBJECT_OPTIONS_S, oyOBJECT_PIXEL_ACCESS_S, oyOBJECT_POINTER_S, oyOBJECT_PROFILE_S, oyOBJECT_PROFILE_TAG_S, oyOBJECT_PROFILES_S, oyOBJECT_RECTANGLE_S, oyOBJECT_STRUCT_LIST_S, and oyOBJECT_UI_HANDLER_S.

Referenced by oyFilterGraph_s::oyFilterGraph_ToText(), oyFilterPlug_s::oyFilterPlug_ConnectIntoSocket(), oyMessageFormat(), oyStruct_GetInfo(), and oyStruct_s::oyStruct_GetText().